> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/account-ipwhitelist-1.md).

# Account IPWhitelist

IP whitelist management

## GET /v3/account/whitelist

> Get all whitelist IP ranges

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountIPWhitelist","description":"IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountIPWhitelist":{"type":"object","required":["id","active","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"IP whitelist ID","readOnly":true},"ipStart":{"type":"string","format":"","description":"First IP in range","nullable":true},"ipEnd":{"type":"string","format":"","description":"Last IP in range","nullable":true},"ipRange":{"type":"string","format":"","description":"IP range with network suffix such as /24, /32, etc.","nullable":true},"description":{"type":"string","format":"","description":"Description of whitelisted IP or range"},"active":{"type":"integer","format":"integer","description":"Whether or not this whitelist entry is active"},"createdAt":{"type":"integer","format":"integer","description":"Unix timestamp of when the IP whitelisting was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/whitelist":{"get":{"tags":["AccountIPWhitelist"],"summary":"Get all whitelist IP ranges","operationId":"getAccountWhitelists","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountIPWhitelist"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/account/whitelist

> Add IP range to the whitelist

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountIPWhitelist","description":"IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountIPWhitelist":{"type":"object","required":["id","active","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"IP whitelist ID","readOnly":true},"ipStart":{"type":"string","format":"","description":"First IP in range","nullable":true},"ipEnd":{"type":"string","format":"","description":"Last IP in range","nullable":true},"ipRange":{"type":"string","format":"","description":"IP range with network suffix such as /24, /32, etc.","nullable":true},"description":{"type":"string","format":"","description":"Description of whitelisted IP or range"},"active":{"type":"integer","format":"integer","description":"Whether or not this whitelist entry is active"},"createdAt":{"type":"integer","format":"integer","description":"Unix timestamp of when the IP whitelisting was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/whitelist":{"post":{"tags":["AccountIPWhitelist"],"summary":"Add IP range to the whitelist","operationId":"createAccountWhitelist","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountIPWhitelist"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountIPWhitelist"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/account/whitelist/{whitelistId}

> Update whitelisted IP range

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountIPWhitelist","description":"IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountIPWhitelist":{"type":"object","required":["id","active","createdAt"],"properties":{"id":{"type":"integer","format":"integer","description":"IP whitelist ID","readOnly":true},"ipStart":{"type":"string","format":"","description":"First IP in range","nullable":true},"ipEnd":{"type":"string","format":"","description":"Last IP in range","nullable":true},"ipRange":{"type":"string","format":"","description":"IP range with network suffix such as /24, /32, etc.","nullable":true},"description":{"type":"string","format":"","description":"Description of whitelisted IP or range"},"active":{"type":"integer","format":"integer","description":"Whether or not this whitelist entry is active"},"createdAt":{"type":"integer","format":"integer","description":"Unix timestamp of when the IP whitelisting was created","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/whitelist/{whitelistId}":{"put":{"tags":["AccountIPWhitelist"],"summary":"Update whitelisted IP range","operationId":"updateAccountWhitelist","parameters":[{"name":"whitelistId","in":"path","description":"Whitelisted IP range ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountIPWhitelist"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountIPWhitelist"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid IP whitelist ID"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/account/whitelist/{whitelistId}

> Delete whitelisted IP range

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountIPWhitelist","description":"IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/whitelist/{whitelistId}":{"delete":{"tags":["AccountIPWhitelist"],"summary":"Delete whitelisted IP range","operationId":"deleteAccountWhitelist","parameters":[{"name":"whitelistId","in":"path","description":"Whitelisted IP range ID","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid IP whitelist ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/account/whitelist/check

> Check user whitelist

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountIPWhitelist","description":"IP whitelist management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/whitelist/check":{"post":{"tags":["AccountIPWhitelist"],"summary":"Check user whitelist","operationId":"createAccountWhitelistCheck","responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/api-references/general/account-ipwhitelist-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
